WebResourceRoot.ResourceSetType (Apache Tomcat 10.1.56 API Documentation)
Description: declaration: package: org.apache.catalina, interface: WebResourceRoot, enum: ResourceSetType

# Enum WebResourceRoot.ResourceSetType

java.lang.Object
java.lang.Enum<WebResourceRoot.ResourceSetType>
org.apache.catalina.WebResourceRoot.ResourceSetType

All Implemented Interfaces:
  `Serializable, Comparable<WebResourceRoot.ResourceSetType>, java.lang.constant.Constable`

Enclosing interface:
  `WebResourceRoot`

public static enum WebResourceRoot.ResourceSetType extends Enum<WebResourceRoot.ResourceSetType>
Types of resource sets in a WebResourceRoot.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLASSES_JAR`
  Classes JAR set.
  `POST`
  Post resource set - processed last.
  `PRE`
  Pre resource set - processed first.
  `RESOURCE_JAR`
  Resource JAR set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WebResourceRoot.ResourceSetType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WebResourceRoot.ResourceSetType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRE

    public static final WebResourceRoot.ResourceSetType PRE
    Pre resource set - processed first.

  - ### RESOURCE_JAR

    public static final WebResourceRoot.ResourceSetType RESOURCE_JAR
    Resource JAR set.

  - ### POST

    public static final WebResourceRoot.ResourceSetType POST
    Post resource set - processed last.

  - ### CLASSES_JAR

    public static final WebResourceRoot.ResourceSetType CLASSES_JAR
    Classes JAR set.

- ## Method Details

  - ### values

    public static WebResourceRoot.ResourceSetType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WebResourceRoot.ResourceSetType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null